%global         gituser         radare
%global         gitname         radare2
%global         commit          e5235f7d97679be056a553673a5f79c546f7b847
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})
%global         gitdate         20180110
%global         gittime         1918

Name:           radare2
Version:        2.3.0
#Release:       2%{?dist}
Release:        1.%{gitdate}%{gittime}git%{shortcommit}%{?dist}
Summary:        The radare2 reverse engineering framework
Group:          Development/Tools
License:        LGPLv3
URL:            http://radare.org/
#URL:           https://github.com/radare/radare2
Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz


BuildRequires:  pkgconfig
BuildRequires:  file-devel
BuildRequires:  libzip-devel
BuildRequires:  git


%if 0%{?fedora}
BuildRequires:  capstone-devel >= 3.0.4
%endif

%description
The radare2 is a reverse-engineering framework that is multi-architecture,
multi-platform, and highly scriptable.  Radare2 provides a hexadecimal
editor, wrapped I/O, file system support, debugger support, diffing
between two functions or binaries, and code analysis at opcode,
basic block, and function levels.


%package devel
Summary:        Development files for the %{name} package
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for the %{name} package. See %{name} package for more
information.


%prep
%setup -q -n %{gitname}-%{commit}
#setup -q -n %{gitname}-%{version}


%build
%configure --with-sysmagic --with-syszip --with-syscapstone
CFLAGS="%{optflags} -fPIC -I../include" make %{?_smp_mflags} LIBDIR=%{_libdir} PREFIX=%{_prefix} DATADIR=%{DATADIR}

# Do not run the testsuite yet - it pulls another package https://github.com/radare/radare2-regressions from github
# %check
# make tests


%install
rm -rf %{buildroot}
NOSUDO=1 make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} PREFIX=%{_prefix}
cp shlr/sdb/src/libsdb.a %{buildroot}/%{_libdir}/libsdb.a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS.md CONTRIBUTING.md DEVELOPERS.md README.md
%doc doc/3D/ doc/node.js/ doc/pdb/ doc/sandbox/
%doc %{_datadir}/doc/%{name}
%license COPYING COPYING.LESSER
%{_bindir}/r*
%{_libdir}/libr*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{version}*
%{_libdir}/%{name}/last
%{_libdir}/%{name}/%{version}*/*.so
%{_mandir}/man1/r*.1.*
%{_mandir}/man7/esil.7.*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}*
%dir %{_datadir}/%{name}/%{version}*/cons
%dir %{_datadir}/%{name}/%{version}*/fcnsign
%{_datadir}/%{name}/%{version}*/fcnsign/*.sdb
%dir %{_datadir}/%{name}/%{version}*/hud
%{_datadir}/%{name}/%{version}*/hud/*
%dir %{_datadir}/%{name}/%{version}*/magic
%{_datadir}/%{name}/%{version}*/magic/*
%dir %{_datadir}/%{name}/%{version}*/opcodes
%{_datadir}/%{name}/%{version}*/opcodes/*.sdb
%dir %{_datadir}/%{name}/%{version}*/syscall
%{_datadir}/%{name}/%{version}*/syscall/*.sdb
%{_datadir}/%{name}/last
%{_datadir}/%{name}/%{version}*/cons/*
%dir %{_datadir}/%{name}/%{version}*/format
%{_datadir}/%{name}/%{version}*/format/*
%dir %{_datadir}/%{name}/%{version}*/www
%{_datadir}/%{name}/%{version}*/www/*


%files devel
%{_includedir}/libr
%{_libdir}/libsdb.a
%{_libdir}/pkgconfig/*.pc



%changelog
* Sat Mar 18 2017 Stiliyan Sabchev <ssabchev at yahoo.com> 1.4.0
- updated to last master commit

* Sat Feb 18 2017 Michal Ambroz <rebus at, seznam.cz> 1.2.1-2
- switch to git version fixing sigseg in radiff2

* Wed Feb 08 2017 Michal Ambroz <rebus at, seznam.cz> 1.2.1-1
- bump to 1.2.1
- removed deprecated post postun calling of /sbin/ldconfig

* Sat Oct 22 2016 Michal Ambroz <rebus at, seznam.cz> 0.10.6-1
- bump to 0.10.6

* Sun Aug 21 2016 Michal Ambroz <rebus at, seznam.cz> 0.10.5-1
- bump to 0.10.5

* Mon Aug 01 2016 Michal Ambroz <rebus at, seznam.cz> 0.10.4-1
- bump to 0.10.4

* Sun Jun 05 2016 Michal Ambroz <rebus at, seznam.cz> 0.10.3-1
- build for Fedora for release of 0.10.3

* Mon Apr 25 2016 Michal Ambroz <rebus at, seznam.cz> 0.10.2-1
- build for Fedora for release of 0.10.2

* Thu Jan 21 2016 Michal Ambroz <rebus at, seznam.cz> 0.10.0-2
- build for Fedora for release of 0.10.0

* Sat Oct 10 2015 Michal Ambroz <rebus at, seznam.cz> 0.10.0-1
- build for Fedora for alpha of 0.10.0

* Sun Nov 09 2014 Pavel Odvody <podvody@redhat.com> 0.9.8rc3-0
- Initial tito package

